## ucar.netcdf
Interface NetcdfRemoteProxy

All Superinterfaces:
  Remote

All Known Implementing Classes:
  NetcdfRemoteProxyImpl

public interface NetcdfRemoteProxy
extends Remote

This interface wraps a single instance of Netcdf to provide Remote services required in the construction of an instance of RemoteNetcdf.

This interface is only needed by directory services like NetcdfService to bootstrap instances of RemoteNetcdf. It could be considered package or implementation private.

Method Summary
`RemoteAccessor` `getAccessor(String varName)` Get an Accessor for a Variable, by name.
`Schema` `getSchema()`
`void` `release()` Indicate that you are done with this Netcdf data set.

Method Detail

### getSchema

    public Schema getSchema()
                     throws RemoteException

  Returns:
    a Schema for the Netcdf this represents.
  Throws:
    `RemoteException`

### getAccessor

    public RemoteAccessor getAccessor(String varName)
                               throws RemoteException

  Get an Accessor for a Variable, by name. Given the Accessor and the ProtoVariable obtained indirectly from getSchema() above, RemoteNetcdf can create a remote proxy for the Variable.

  Parameters:
    `varName` - String which names a Variable in the Netcdf this represents.
  Returns:
    a (Remote)Accessor for the Variable.
  Throws:
    `RemoteException`

### release

    public void release()
                 throws RemoteException

  Indicate that you are done with this Netcdf data set. Allows the service to free resources (close the data set).

  Throws:
    `RemoteException`